> ## Documentation Index
> Fetch the complete documentation index at: https://docs.obvlo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v2orgs location search

> Search for locations matching criteria. Returns matching locations (neighbourhoods, districts, areas) with localized content.



## OpenAPI

````yaml /api-reference/openapi-stable.json get /v2/orgs/{orgId}/location-search
openapi: 3.0.3
info:
  title: Obvlo Content Engine
  description: Obvlo Content Engine API
  version: 4.0.0
servers:
  - url: https://api.obvlo.com
security: []
paths:
  /v2/orgs/{orgId}/location-search:
    get:
      tags:
        - V2 Multilingual
      description: >-
        Search for locations matching criteria. Returns matching locations
        (neighbourhoods, districts, areas) with localized content.
      operationId: v2SearchLocations
      parameters:
        - name: orgId
          in: path
          required: true
          description: Organization Account Number
          schema:
            type: string
        - name: profileId
          in: query
          required: false
          description: Unique profile identifier
          schema:
            type: string
        - name: searchQuery
          in: query
          required: false
          description: A text query containing a name and optionally a location
          schema:
            type: string
        - name: page
          in: query
          required: false
          description: Page index used to get next page of responses
          schema:
            type: integer
        - name: hitsPerPage
          in: query
          required: false
          description: Hits per page, maximum 20
          schema:
            type: integer
        - name: latlng
          in: query
          required: false
          description: >-
            Latitude and Longitude as the center of search, comma separated. Ex:
            55.953251,-3.188267
          schema:
            type: string
        - name: radius
          in: query
          required: false
          description: Radius in meters from center of search
          schema:
            type: number
        - name: rankBy
          in: query
          required: false
          description: 'Ranking strategy. One of: ''distance'', ''relevance'', ''score'''
          schema:
            type: string
        - name: lang
          in: query
          required: false
          description: >-
            BCP-47 language code (e.g. en-GB). When provided, localizable fields
            are returned as a single string instead of a language map.
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        hostIds:
                          type: array
                          items:
                            type: string
                        address:
                          anyOf:
                            - type: object
                              additionalProperties:
                                type: string
                            - type: string
                        displayName:
                          anyOf:
                            - type: object
                              additionalProperties:
                                type: string
                            - type: string
                        area:
                          anyOf:
                            - type: object
                              additionalProperties:
                                type: string
                            - type: string
                        headline:
                          anyOf:
                            - type: object
                              additionalProperties:
                                type: string
                            - type: string
                        description:
                          anyOf:
                            - type: object
                              additionalProperties:
                                type: string
                            - type: string
                        keywords:
                          anyOf:
                            - type: object
                              additionalProperties:
                                type: array
                                items:
                                  type: string
                            - type: array
                              items:
                                type: string
                        photos:
                          type: array
                          items:
                            type: object
                            properties:
                              attributions:
                                type: array
                                items:
                                  type: string
                              category:
                                type: string
                              id:
                                type: string
                              images:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    size:
                                      type: string
                                    url:
                                      type: string
                                  required:
                                    - size
                                    - url
                                  additionalProperties: false
                              keywords:
                                type: array
                                items:
                                  type: string
                              isGenerated:
                                type: boolean
                              genDescription:
                                type: string
                              license:
                                type: string
                              isLicensed:
                                type: boolean
                            required:
                              - attributions
                              - category
                              - id
                              - images
                              - keywords
                            additionalProperties: false
                        radius:
                          type: number
                        status:
                          type: string
                        languageCodes:
                          type: array
                          items:
                            type: string
                        geoLocation:
                          type: array
                          items:
                            type: number
                          minItems: 2
                          maxItems: 2
                        geoDistance:
                          type: number
                      required:
                        - id
                        - hostIds
                        - status
                        - geoLocation
                      additionalProperties: false
                  total:
                    type: number
                  pages:
                    type: number
                required:
                  - results
                  - total
                  - pages
                additionalProperties: false
        '400':
          description: No matches
      security:
        - api_key: []
components:
  securitySchemes:
    api_key:
      type: apiKey
      name: key
      in: query

````